%define url_ver %(echo %{version}|cut -d. -f1,2)

%bcond_without dvi
%bcond_without epub

%define major 3
%define api 1.5.0
%define girname     %mklibname %{name}-gir %{api}
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname -d %{name}

Summary:    MATE Document viewer
Name:       atril
Version:    1.28.0
Release:    %mkrel 1
License:    GPLv2+ and GFDL
URL:        http://mate-desktop.org/
Group:      Graphical desktop/MATE
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  ghostscript
BuildRequires:  itstool
BuildRequires:  libt1lib-devel
BuildRequires:  mate-common
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
%if %{with dvi}
BuildRequires:  pkgconfig(kpathsea)
%endif
BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mate-desktop-2.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(sm)
%if %{with epub}
BuildRequires:  pkgconfig(webkit2gtk-4.0)
%endif
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  xsltproc
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(synctex)

Requires:	 dconf
Requires:    ghostscript
Requires:    ghostscript-module-X
Requires:    unzip
Requires:    zip
Requires:    glibc >= 2.33

Obsoletes: mate-document-viewer
Provides: mate-document-viewer = %{version}-%{release}

%description
Atril is the MATE Document viewer.
Its supports Portable Document Format (PDF),
PostScript (PS), Encapsulated PostScript (EPS),
DJVU and XPS formats.

%package dvi
Summary:  TeX DVI document support for atril
Group:    Graphical desktop/MATE
Requires: texlive
Requires: %{name} = %{version}-%{release}
Obsoletes: mate-document-viewer-dvi
Provides: mate-document-viewer-dvi = %{version}-%{release}

%description dvi
This package adds support for displaying .dvi files to atril.
These files are produced by TeX, often using
a macro package like LaTeX.

%package -n %{libname}
Group:    System/Libraries
Summary:  MATE Document viewer library

%description -n %{libname}
This is the MATE Document viewer library, the shared parts of %{name}.


%package -n %{develname}
Group:    Development/Libraries
Summary:  MATE Document viewer library
Requires: %{libname} = %{version}-%{release}
Obsoletes: mate-document-viewer-devel
Provides: mate-document-viewer-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This is the MATE Document viewer library, the shared parts of %{name}.

%package doc
Summary:  Documentation support for atril
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for atril.

%prep
%setup -q
%autopatch -p1


%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
    --with-pic                       \
    --disable-static                 \
    --disable-schemas-compile        \
    --enable-thumbnailer             \
    --enable-introspection           \
    --enable-gtk-doc                 \
    --enable-pdf                     \
    --enable-tiff                    \
    --enable-djvu                    \
    --enable-pixbuf                  \
    --enable-comics                  \
    --enable-t1lib=yes               \
    --enable-dvi=%{?with_dvi:yes}%{!?with_dvi:no} \
    --enable-epub=%{?with_epub:yes}%{!?with_epub:no} \
    --enable-xps

 sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool   
    
%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Viewer" \
  --add-category="X-MandrivaLinux-Office"\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

find %{buildroot} -name *.la -delete

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_bindir}/atril
%{_bindir}/atril-previewer
%{_bindir}/atril-thumbnailer
%{_libexecdir}/atrild
%{_datadir}/metainfo/atril.appdata.xml
%{_datadir}/applications/atril.desktop
%{_datadir}/%{name}/
%{_datadir}/caja/extensions/libatril-properties-page.caja-extension
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/thumbnailers/
%{_iconsdir}/hicolor/*/apps/atril*
%{_mandir}/man1/atril*

%dir %{_libdir}/%{name}/%{major}/
%dir %{_libdir}/%{name}/%{major}/backends

%{_libdir}/%{name}/%{major}/backends/libcomicsdocument.so
%{_libdir}/%{name}/%{major}/backends/comicsdocument.%{name}-backend

%{_libdir}/%{name}/%{major}/backends/libdjvudocument.so
%{_libdir}/%{name}/%{major}/backends/djvudocument.%{name}-backend

%if %{with epub}
%{_libdir}/%{name}/%{major}/backends/libepubdocument.so
%{_libdir}/%{name}/%{major}/backends/epubdocument.%{name}-backend
%endif

%{_libdir}/%{name}/%{major}/backends/libpdfdocument.so
%{_libdir}/%{name}/%{major}/backends/pdfdocument.%{name}-backend

%{_libdir}/%{name}/%{major}/backends/libpixbufdocument.so
%{_libdir}/%{name}/%{major}/backends/pixbufdocument.%{name}-backend

%{_libdir}/%{name}/%{major}/backends/libpsdocument.so
%{_libdir}/%{name}/%{major}/backends/psdocument.%{name}-backend

%{_libdir}/%{name}/%{major}/backends/libtiffdocument.so
%{_libdir}/%{name}/%{major}/backends/tiffdocument.%{name}-backend

%{_libdir}/%{name}/%{major}/backends/libxpsdocument.so
%{_libdir}/%{name}/%{major}/backends/xpsdocument.%{name}-backend

# caja extensions
%{_libdir}/caja/extensions-2.0/libatril-properties-page.so

%if %{with dvi}
%files dvi
%{_libdir}/atril/%{major}/backends/libdvidocument.so
%{_libdir}/atril/%{major}/backends/dvidocument.%{name}-backend
%endif

%files -n %{libname}
%{_libdir}/libatrildocument.so.%{major}*
%{_libdir}/libatrilview.so.%{major}*

%{_libdir}/girepository-1.0/AtrilDocument-%{api}.typelib
%{_libdir}/girepository-1.0/AtrilView-%{api}.typelib

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/atril
%doc %{_datadir}/gtk-doc/html/libatrildocument-%{api}
%doc %{_datadir}/gtk-doc/html/libatrilview-%{api}
%{_libdir}/libatrildocument.so
%{_libdir}/libatrilview.so
%{_libdir}/pkgconfig/atril*pc
%{_includedir}/atril*
%{_datadir}/gir-1.0/AtrilDocument-%{api}.gir
%{_datadir}/gir-1.0/AtrilView-%{api}.gir

%files doc
%{_datadir}/help


%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Sep 12 2021 tex - 1.26.0-2pclos2021
- rebuild against updates

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.1-1pclos2021
- new version

* Sun Jun 14 2020 ghostbunny <ghostbunny at gmx dot de> 1.24.0-2pclos2020
- rebuild against new synctex version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
